Subject: Re: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Juri Linkov <[email-masked]>
Date: Sun, 27 Jan 2019 22:23:32 +0200

> I've already forgotten what we really want.  Find attached a draft of
> what I had in mind in the beginning and fill in the details, if
> possible.

Thanks, some suggestions to simplify its usage:

1. avoid using dotted pair notation that often causes problems;

2. instead of asking the user to invent a value to use for the selected window,
   allow omitting it in this case, by reversing WIN and DIR, for example:

   display-buffer-in-direction (direction DIR WIN)
   display-buffer-in-direction (direction up main)
   display-buffer-in-direction (direction up) -- by default means
                                                 from the selected window

PS: what about 'resize-to-fit'?  I guess it's impossible to implement it
as an alist, because currently fit-window-to-buffer/preserve-size usually
are used as an argument of the macro 'with-displayed-buffer-window'.